# Class GSMenu

java.lang.Object
GSMenu

public class GSMenu extends Object
La classe GSMenu représente le menu jouer du jeu Sudoku.

## Constructor Summary

Constructors
Constructor
Description
`GSMenu(Window window)`
Constructeur de la classe GSMenu.

## Method Summary

Modifier and Type
Method
Description
`void`
`enablePlayOptions()`
Active les options de jeu dans le menu.
`Button`
`getAutoSolveButton()`
Renvoie le bouton pour résoudre automatiquement la grille.
`Button`
`getImporterButton()`
Renvoie le bouton pour l'importation.
`Button`
`getJouerButton()`
Renvoie le bouton pour démarrer le jeu.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSMenu

public GSMenu(Window window)
Constructeur de la classe GSMenu.

Parameters:
  `window` - La fenêtre dans laquelle afficher le menu.

## Method Details

### enablePlayOptions

public void enablePlayOptions()
Active les options de jeu dans le menu.

### getImporterButton

public Button getImporterButton()
Renvoie le bouton pour l'importation.

Returns:
  Le bouton pour l'importation.

### getJouerButton

public Button getJouerButton()
Renvoie le bouton pour démarrer le jeu.

Returns:
  Le bouton pour démarrer le jeu.

### getAutoSolveButton

public Button getAutoSolveButton()
Renvoie le bouton pour résoudre automatiquement la grille.

Returns:
  Le bouton pour résoudre automatiquement la grille.